Bug 752957 - Drift file system definition not working
Drift file system definition not working
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
3.0.0 Beta1
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-11-10 16:00 EST by Douglas Woods
Modified: 2011-11-14 08:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-14 08:23:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Drift definition for filesystem bin directory of JBoss EAP v5.1.1 (193.19 KB, image/png)
2011-11-10 16:00 EST, Douglas Woods
no flags Details

  None (edit)
Description Douglas Woods 2011-11-10 16:00:41 EST
Created attachment 532926 [details]
Drift definition for filesystem bin directory of JBoss EAP v5.1.1

Description of problem:
Defined Drift for filesystem to monitor JBoss bin directory. Drift
snapshots are not showing in JON GUI

Version-Release number of selected component (if applicable):
JON v3.0 Beta3
EAP v5.1.1

How reproducible:
Drift Definition(see attached screenshot

Steps to Reproduce:
1.New Drift definition for JBoss bin directory(jboss-eap-5.1/jboss-as/bin)
2.Set interval to 60 seconds
3.Observe history
  
Actual results:
No history is ever generated, even after changing a file(run.conf) under the bin directory

Expected results:
History to show snapshots of directory and snapshot after file changed.

Additional info:
Comment 1 Jay Shaughnessy 2011-11-11 17:11:13 EST
Doug, is the Agent Log available?  Please attach if possible, otherwise it
will be tough to get a grip on what is happening here.

Also, which version of RHQ? Thanks.
Comment 2 Douglas Woods 2011-11-14 08:16:09 EST
Jay,
I restarted JON and Agent this morning to get you the debug information and the drift is now working.  I will try to recreate this issue and update the case.

JBoss Operations Network 
Version: 3.0.0.BETA3
Build Number: 5c36317:550130c
GWT Version: 2.0.4
SmartGWT Version: 2.4
Comment 3 Douglas Woods 2011-11-14 08:23:52 EST
Jay,
Deleted the old Drift definition, recreated it, did a detect now, and drift is working. Not sure what the issue was at this time. I am closing the case.

Note You need to log in before you can comment on or make changes to this bug.